Subject: [Bier] 转发: New Version Notification for draft-xu-bier-non-mpls-encap-over-udp-00.txt

From: Xuxiaohu <[email-masked]>
Date: Thu, 23 Nov 2017 02:50:01 +0000

Hi all,

Any comments and suggestions are welcome.

Best regards,
Xiaohu

> -----邮件原件-----
> 发件人: [email-masked] [mailto:[email-masked]]
> 发送时间: 2017年11月23日 10:49
> 收件人: Xuxiaohu
> 主题: New Version Notification for
> draft-xu-bier-non-mpls-encap-over-udp-00.txt
> 
> 
> A new version of I-D, draft-xu-bier-non-mpls-encap-over-udp-00.txt
> has been successfully submitted by Xiaohu Xu and posted to the IETF repository.
> 
> Name:		draft-xu-bier-non-mpls-encap-over-udp
> Revision:	00
> Title:		Encapsulating Non-MPLS-BIER in UDP
> Document date:	2017-11-22
> Group:		Individual Submission
> Pages:		8
> URL:
> https://www.ietf.org/internet-drafts/draft-xu-bier-non-mpls-encap-over-udp-00.
> txt
> Status:
> https://datatracker.ietf.org/doc/draft-xu-bier-non-mpls-encap-over-udp/
> Htmlized:
> https://tools.ietf.org/html/draft-xu-bier-non-mpls-encap-over-udp-00
> Htmlized:
> https://datatracker.ietf.org/doc/html/draft-xu-bier-non-mpls-encap-over-udp-00
> 
> 
> Abstract:
>    Bit Index Explicit Replication (BIER) is a new multicast forwarding
>    paradigm which doesn't require an explicit tree-building protocol nor
>    intermediate routers to maintain any multicast state.  BIER has two
>    types of encapsulation formats: one is MPLS-BIER encapsulation, the
>    other is non-MPLS-BIER encapsulation.  This document proposes a
>    mechanism of encapsulating non-MPLS-BIER packets over UDP tunnels.
> 
> 
> 
> 
> Please note that it may take a couple of minutes from the time of submission
> until the htmlized version and diff are available at tools.ietf.org.
> 
> The IETF Secretariat

---

From: Tony Przygienda <[email-masked]>
Date: Wed, 22 Nov 2017 19:33:01 -0800

I suggest to add a section pointing out that BIER is a hop-by-hop
forwarding paradigm and the usual considerations apply when tunnels move
the frames to other part  of the network, e.g. in IGP control scheme the
tunnels must be included in the according tree computation.

--- tony

> > Group:                Individual Submission
....

---

From: Xuxiaohu <[email-masked]>
Date: Thu, 23 Nov 2017 06:52:08 +0000

Tony,

Thanks for your quick review. I wonder whether the following suggestion would conflict with the two possible procedures as described in Section 6.9 of the just published RFC8279.

Best regards,
Xiaohu

发件人: Tony Przygienda [mailto:[email-masked]]
发送时间: 2017年11月23日 11:33
收件人: Xuxiaohu
抄送: BIER ([email-masked])
主题: Re: [Bier] 转发: New Version Notification for draft-xu-bier-non-mpls-encap-over-udp-00.txt

I suggest to add a section pointing out that BIER is a hop-by-hop forwarding paradigm and the usual considerations apply when tunnels move the frames to other part  of the network, e.g. in IGP control scheme the tunnels must be included in the according tree computation.
--- tony

On Wed, Nov 22, 2017 at 6:50 PM, Xuxiaohu <[email-masked]<mailto:[email-masked]>> wrote:
Hi all,

Best regards,
Xiaohu

> -----邮件原件-----
> 发件人: [email-masked]<mailto:[email-masked]> [mailto:[email-masked]<mailto:[email-masked]>]
> 发送时间: 2017年11月23日 10:49
> 收件人: Xuxiaohu
....